<?
include_once('clss_0.php') ;
class clss_5 extends clss_0
{
 function get_create_a_html($parent_reffer)
 { $text='<a class=button mode=modal_window cmd=panel_obj_file_upload after_close_window="goto_url" url="/admin/fra_viewer.php?obj_reffer='.$parent_reffer.'&menu_id=structure_'.$this->clss.'" clss="'.$this->clss.'"  parent_reffer="'.$parent_reffer.'" href="#">'.$this->name.'</a>' ;
   return($text) ;
 }

 // возвращает текст html кнопки для создания объекта
 function get_create_button_html($parent_reffer)
 { global $obj_info ;
   $text='<button mode=modal_window cmd=panel_obj_file_upload after_close_window="goto_url" url="/admin/fra_viewer.php?obj_reffer='.$parent_reffer.'&menu_id=structure_'.$this->clss.'" clss="'.$this->clss.'"  parent_reffer="'.$parent_reffer.'">Загрузить еще '.$this->name.'</button>'  ;
   return($text) ;
 }

}

?>